package com.hxhq.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.hxhq.domain.Sj;
import com.hxhq.mapper.SjMapper;
import com.hxhq.service.SjService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @author zhangjing
 * @date 2026/01/28 15:50
 * @description
 */
@Service
public class SjServiceImpl extends ServiceImpl<SjMapper, Sj> implements SjService {

    @DS("hxhq")
    @Override
    public void saveList(List<Sj> sjList) {
        saveSjList(sjList);
    }
    @Transactional
    public void saveSjList(List<Sj> sjList) {
        this.saveBatch(sjList);
    }
}
